import { Duration } from "vscript";
import * as VAPI from "vapi";
export type AnyMixer = VAPI.AT1130.AudioEngine.MonoMixAsNamedTableRow | VAPI.AT1130.AudioEngine.StereoMixAsNamedTableRow;
export declare class AutoMixer {
    promise: null | Promise<void>;
    private _mixer;
    updateInterval: Duration;
    get mixer(): AnyMixer;
    private enable;
    constructor(mixer: AnyMixer);
    start(): Promise<void>;
    stop(): Promise<void>;
    private mix;
}
